Skip to main content
`Ctrl`+`K`

# MFNSetFN

Specifies the function to be computed.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetFN(MFN mfn,FN fn)

Collective

## Input Parameters

- mfn - the matrix function solver context

- fn - the math function object

## Notes

At a later time, use `MFNGetFN()` to retrieve the math function context (for example, to free it at the end of the computations).

This function is not called in normal usage. Instead, it is easier to extract the internal `FN` object with `MFNGetFN()` and modify it.

## See Also

MFN: Matrix Function, `MFNGetFN()`

## Level

beginner

## Location

src/mfn/interface/mfnbasic.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages